Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.resources.util
Class JavaEntityResolver

    java.lang.Object
      org.jini.rio.resources.util.JavaEntityResolver

All Implemented Interfaces:
  EntityResolver

    public class JavaEntityResolver

extends Object
implements EntityResolver

This class resolves an XML public or system entity in the for of java://com/package/foo.dtd. It uses the java class path to locate the dtd file.

Constructor Summary
`JavaEntityResolver()` Creates new JavaEntityResolver
`JavaEntityResolver(ClassLoader classLoader)`

Method Summary
`ClassLoader` | `getClassLoader()` Getter for property classLoader.
`InputSource` | `resolveEntity(String publicId, String systemId)`
`void` | `setClassLoader(ClassLoader classLoader)` Setter for property classLoader.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaEntityResolver

    public JavaEntityResolver()

  Creates new JavaEntityResolver

### JavaEntityResolver

    public JavaEntityResolver(ClassLoader classLoader)

Method Detail

### resolveEntity

    public InputSource resolveEntity(String publicId,
                                     String systemId)
                              throws SAXException,
                                     IOException

  Specified by:
    `resolveEntity` in interface `EntityResolver`
  Throws:
    `SAXException`
    `IOException`

### getClassLoader

    public ClassLoader getClassLoader()

  Getter for property classLoader.

  Returns:
    Value of property classLoader.

### setClassLoader

    public void setClassLoader(ClassLoader classLoader)

  Setter for property classLoader.

  Parameters:
    `classLoader` - New value of property classLoader.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.